Textpattern CMS support forum

You are not logged in. Register | Login | Help

#1 2018-12-11 19:21:20

gaekwad
Member
From: People's Republic of Cornwall
Registered: 2005-11-19
Posts: 2,401

Request for testers: PHP 7.3 compatibility

December 2018 is a key month in PHP Land:

Textpattern will run OK on PHP 5.4.0 or later, but newer PHP is recommended for improved performance and security.

I’ve updated the Textpattern dev demo site to run PHP 7.3.0 so we can test the upcoming 4.7.2 release for compatibility. I’ve had a non-exhaustive test of Textpattern on PHP 7.3.0 and things appear to run smoothly.

If you have time, energy and inclination: it would be great to get your feedback on your experience with Textpattern on PHP 7.3.0.

What doesn’t work? Was any behaviour unexpected? Were any PHP warnings or errors shown? That kind of feedback is very useful.

All you have to do is go to the demo site landing page, get your login credentials, and use the development site links to test out the front-side and admin-side functionality.

Please reply with any issues here, or on the PHP 7.3.0 compatibility issue at GitHub.

Thank you.

Last edited by gaekwad (2018-12-11 19:23:06)

Offline

#2 2018-12-11 20:45:25

michaelkpate
Moderator
From: Avon Park, FL
Registered: 2004-02-24
Posts: 1,121
Website

Re: Request for testers: PHP 7.3 compatibility

Interesting. I just checked at Dreamhost and the available options are: 5.6, 7.0, 7.1, and 7.2 with 7.0 being the recommended choice.

The Dreamhost PHP support page links to the PHP.Net page that lists the current status.

Offline

#3 2018-12-11 21:03:22

gaekwad
Member
From: People's Republic of Cornwall
Registered: 2005-11-19
Posts: 2,401

Re: Request for testers: PHP 7.3 compatibility

michaelkpate wrote #315539:

Interesting. I just checked at Dreamhost and the available options are: 5.6, 7.0, 7.1, and 7.2 with 7.0 being the recommended choice.

At-scale web hosting providers tend to be much more small-c conservative on that front. They’ll likely have approved versions, change control, all kinds of stuff. Their focus is on stability, otherwise thousands of people will swamp the support desk and/or move elsewhere.

Me? I tweak, break, fix, optimise and fine-tune servers like it’s a sport. Nothing I use in production is running 7.3 at the moment, and I won’t use it in anger until probably 7.3.2 or so, but it’s useful to know if Textpattern works with it. So far, so good.

Offline

#4 2018-12-11 21:38:49

jakob
Moderator
From: Germany
Registered: 2005-01-20
Posts: 3,227
Website

Re: Request for testers: PHP 7.3 compatibility

Cool! Nice to know. Thanks for testing that out.

MAMP doesn’t yet offer 7.3 but I’ll try it when it arrives. More often, it’s plugins that hiccup with new versions of php…


TXP Builders – finely-crafted code, design and txp

Offline

#5 2018-12-13 11:13:05

gaekwad
Member
From: People's Republic of Cornwall
Registered: 2005-11-19
Posts: 2,401

Re: Request for testers: PHP 7.3 compatibility

jakob wrote #315543:

More often, it’s plugins that hiccup with new versions of php…

Actually, yes – good point, well made. I haven’t managed to break core Textpattern on PHP 7.3, which is encouraging.

Offline

Board footer

Powered by FluxBB